import { HttpClient } from '@angular/common/http';
import { FaqDetails, FaqCreation, FaqUpdate } from '../models/faqs';
import { Observable } from 'rxjs';
import { SmzFaqsConfig } from '../smz-faqs.config';
import { BaseApiService } from '../../rbk-utils/http/base-api.service';
import * as i0 from "@angular/core";
export declare class FaqsApiService extends BaseApiService {
    private http;
    private config;
    constructor(http: HttpClient, config: SmzFaqsConfig);
    all(tag: string, loaderOverride?: boolean): Observable<FaqDetails[]>;
    create(data: FaqCreation): Observable<FaqDetails>;
    update(data: FaqUpdate): Observable<FaqDetails>;
    delete(id: string): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FaqsApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FaqsApiService>;
}
